<section class="contact">
  <div class="contact-wrapper">
    <p class="contact-subheading">35,000+ already joined</p>
    <h2 class="contact-heading">Stay up-to-date with what we’re doing</h2>
    <form
      class="form"
      [formGroup]="contactForm"
      (ngSubmit)="onContactFormSubmit()"
    >
      <div class="input-field">
        <input
          type="text"
          placeholder="Enter your email address"
          class="email-input"
          formControlName="emailAddress"
          [ngClass]="{ 'border-error': errors }"
          (keyup)="checkErrors()"
        />
        <app-icon
          icon="error"
          class="icon-error"
          [ngClass]="{ 'show-icon-error': errors }"
        ></app-icon>
        <p
          class="error-message"
          [ngClass]="{
            'show-error-message': errors,
            'hide-error-message': !errors && contactForm.valid
          }"
        >
          <span [hidden]="!errors?.required"
            >Please enter an email address!</span
          >
          <span [hidden]="!errors?.email"
            >Whoops, make sure it's an email!</span
          >
        </p>
      </div>
      <button type="submit" class="btn-submit">contact us</button>
    </form>
  </div>
</section>
